<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{7B748B09-DC20-4406-85A3-101E7833F8CE}</ProjectGuid>
    <OutputType>Library</OutputType>
    <RootNamespace>ServiceRevitLib</RootNamespace>
    <AssemblyName>ServiceRevitLib</AssemblyName>
    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <AutoGenerateBindingRedirects>true</AutoGenerateBindingRedirects>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\..\OutputDll\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>..\OutputDll\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup>
    <StartupObject />
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="ICSharpCode.SharpZipLib, Version=1.0.0.999, Culture=neutral, PublicKeyToken=1b03e6acf1164f73, processorArchitecture=MSIL">
      <HintPath>..\..\packages\SharpZipLib.1.0.0\lib\net45\ICSharpCode.SharpZipLib.dll</HintPath>
    </Reference>
    <Reference Include="Newtonsoft.Json, Version=11.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <HintPath>..\..\packages\Newtonsoft.Json.11.0.1\lib\net45\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="NPOI, Version=2.3.0.0, Culture=neutral, PublicKeyToken=0df73ec7942b34e1, processorArchitecture=MSIL">
      <HintPath>..\..\packages\NPOI.2.3.0\lib\net40\NPOI.dll</HintPath>
    </Reference>
    <Reference Include="NPOI.OOXML, Version=2.3.0.0, Culture=neutral, PublicKeyToken=0df73ec7942b34e1, processorArchitecture=MSIL">
      <HintPath>..\..\packages\NPOI.2.3.0\lib\net40\NPOI.OOXML.dll</HintPath>
    </Reference>
    <Reference Include="NPOI.OpenXml4Net, Version=2.3.0.0, Culture=neutral, PublicKeyToken=0df73ec7942b34e1, processorArchitecture=MSIL">
      <HintPath>..\..\packages\NPOI.2.3.0\lib\net40\NPOI.OpenXml4Net.dll</HintPath>
    </Reference>
    <Reference Include="NPOI.OpenXmlFormats, Version=2.3.0.0, Culture=neutral, PublicKeyToken=0df73ec7942b34e1, processorArchitecture=MSIL">
      <HintPath>..\..\packages\NPOI.2.3.0\lib\net40\NPOI.OpenXmlFormats.dll</HintPath>
    </Reference>
    <Reference Include="RevitAPI, Version=17.0.0.0, Culture=neutral, processorArchitecture=AMD64">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\RevitDlls\RevitAPI.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="SAGA.DotNetUtils, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\RevitDlls\SAGA.DotNetUtils.dll</HintPath>
    </Reference>
    <Reference Include="SAGA.RevitUtils, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\RevitDlls\SAGA.RevitUtils.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="CheckFactory.cs" />
    <Compile Include="Common\MBIConst.cs" />
    <Compile Include="Common\RegexConstPattern.cs" />
    <Compile Include="DataCheck.Mode\PipeCheck.cs" />
    <Compile Include="DataCheck.Mode\PipeCheckResult.cs" />
    <Compile Include="Extend\DocExtend.cs" />
    <Compile Include="Extend\ElementExtend.cs" />
    <Compile Include="DataCheck.Mode\CheckBase.cs" />
    <Compile Include="DataCheck.Mode\EquipInSpaceCheck.cs" />
    <Compile Include="DataCheck.Mode\SystemReferEquipCheck.cs" />
    <Compile Include="DataCheck.Mode\ParameterIntegrityCheck.cs" />
    <Compile Include="DataCheck.Mode\SystemNameCheck.cs" />
    <Compile Include="DataCheck.Mode\EquipInSpaceCheckResult.cs" />
    <Compile Include="DataCheck.Mode\SystemReferEquipCheckResult.cs" />
    <Compile Include="DataCheck.Mode\ParameterIntegrityCheckResult.cs" />
    <Compile Include="DataCheck.Mode\SystemNameCheckResult.cs" />
    <Compile Include="DataCheck.Mode\EquipPartLocationCheck.cs" />
    <Compile Include="DataCheck.Mode\ColumnCheck.cs" />
    <Compile Include="DataCheck.Mode\ElementRangeCheck.cs" />
    <Compile Include="DataCheck.Mode\ConnectorCheck.cs" />
    <Compile Include="DataCheck.Mode\FamilyNameCheck.cs" />
    <Compile Include="DataCheck.Mode\EquipPartLocationCheckResult.cs" />
    <Compile Include="DataCheck.Mode\ColumnCheckResult.cs" />
    <Compile Include="DataCheck.Mode\ElementRangeCheckResult.cs" />
    <Compile Include="DataCheck.Mode\ConnectorCheckResult.cs" />
    <Compile Include="DataCheck.Mode\FamilyNameCheckResult.cs" />
    <Compile Include="DataCheck.Mode\UnitCheck.cs" />
    <Compile Include="DataCheck.Mode\SagaCheck.cs" />
    <Compile Include="DataCheck.Mode\UnitCheckResult.cs" />
    <Compile Include="DataCheck.Mode\SagaCheckResult.cs" />
    <Compile Include="Extend\MepExtension.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="TestCommand.cs" />
    <Compile Include="Utils\DataCheckRule.cs" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="DataCheckResource\垃圾数据检查结果输出-模版.xlsx">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="DataCheckResource\模型检查结果输出格式-模版.xlsx">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <None Include="app.config" />
    <None Include="packages.config" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\MBIRevitBase\MBIRevitBase.csproj">
      <Project>{2bc3da7b-57cb-4d9d-8afa-888ea4d8da87}</Project>
      <Name>MBIRevitBase</Name>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>